[
  {
    blockid=prop;
    custom=com.netscape.management.msgserv.folders.FPropControl;
    localvar=
    {
      .label.size = 100;
      .comp.space.sep = 15;

      .prettyname.label="\u986f\u793a\u540d\u7a31\uff1a";
      .description.label="\u8aaa\u660e\uff1a";

      .node.prop.posts.remoteandlocal.label="\u5141\u8a31\u672c\u6a5f\u7559\u8a00\u548c\u9060\u7aef\u7559\u8a00";
      .node.prop.posts.remoteonly.label="\u50c5\u5141\u8a31\u9060\u7aef\u7559\u8a00 (\u50c5\u9069\u7528\u65bc\u8a0e\u8ad6\u5340)";
      .node.prop.posts.junk.label="\u4e0d\u8981\u4fdd\u7559\u6b64\u8cc7\u6599\u593e\u4e2d\u7684\u6587\u7ae0\uff0c\u8981\u5c07\u5176\u50b3\u9001\u81f3\u8a0e\u8ad6\u5340\u7db2\u7ad9\u3002";
      .node.prop.moderated.label="\u4e3b\u6301\u8a0e\u8ad6\uff0c\u4e26\u900f\u904e\u96fb\u5b50\u90f5\u4ef6\u5c07\u7559\u8a00\u50b3\u9001\u81f3\uff1a";
      .node.prop.alias.label="\u6b64\u8cc7\u6599\u593e\u662f\u4e00\u500b\u53c3\u8003 :"

       .node.gateway.border=[titled, "Gateway"];
       .node.gateway.mailtonews.label="\u96fb\u5b50\u90f5\u4ef6\u7684\u6536\u4ef6\u8005\u4f4d\u5740\uff1a";
       .node.gateway.newstomail.label="\u900f\u904e\u96fb\u5b50\u90f5\u4ef6\u5c07\u7559\u8a00\u50b3\u9001\u81f3\uff1a";
    };

    content=
    [
      { /* outermost pane */
        ctrl=pane;
        layout=[ybox];
        content=
        [ /* contents */

          { /* label indicating newsgroup name */
            ctrl=label;
            text=$folder.node.name;
            icon=$folder.node.icon;
          }, /* label indicating newsgroup name */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* separator */
            ctrl=separator;
          }, /* separator */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* properties */
            ctrl=pane;
            layout=[ybox];
            content=
            [ /* properties contents */

              { /* pretty name */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* pretty name contents */

                  { /* label */
                    ctrl=label;
                    text=$.prettyname.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=prettyname;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=prettyname;
                    val=$folder.node.prettyname;
                  }

                ]; /* pretty name contents */
              }, /* pretty name */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* description */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* description contents */

                  { /* label */
                    ctrl=label;
                    text=$.description.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=description;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=description;
                    val=$folder.node.desc;
                  }

                ]; /* description contents */
              }, /* description */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* allow remote + local posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteandlocal.label;
                group=postproperties;
                id=localandremote;
              }, /* allow remote + local posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* allow remote only posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteonly.label;
                group=postproperties;
                id=remoteonly;
              }, /* allow remote only posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* transit posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.junk.label;
                group=postproperties;
                id=transit;
              }, /* transit posts */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space;
              }, /* component space */

              { /* moderated newsgroups */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.moderated.label;
                id=moderated;
                group=postproperties;
                content=
                [ /* moderator's e-mail */

                  { /* moderator's e-mail */
                    ctrl=text;
                    val=$folder.node.moderators;
                    id=moderators;
                  } /* moderator's e-mail */

                ]; /* moderator's e-mail */
              }, /* moderaged newsgroups */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* alias for another newsgroup */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.alias.label;
                group=postproperties;
                id=referral;
                content=
                [ /* alias for ng */

                  { /* alias for ng */
                    ctrl=text;
                    val=$folder.node.referredfolder;
                    id=referredfolder;
                  } /* alias for ng */

                ]; /* alias for ng */
              }, /* alias for another newsgroup */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* gateway options */
                ctrl=pane;
                layout=[ybox];
                border=$.node.gateway.border;
                content=
                [ /* gateway options contents */

                  { /* mail to news */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.mailtonews.label;
                    id=mailtonews;
                    val=$folder.node.domailtonews;
                    inline=true;
                    content=
                    [ /* mail recipient address */

                      {
                        ctrl=text;
                        val=$folder.node.smtpaddress;
                        id=smtpaddress;
                      }

                    ]; /* mail recipient address */
                  }, /* mail to news */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* news to mail */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.newstomail.label;
                    id=newstomail;
                    val=$folder.node.donewstomail;
                    inline=true;
                    content=
                    [ /* mail gateway address */

                      {
                        ctrl=text;
                        val=$folder.node.mailgateway;
                        id=mailgateway;
                      }

                    ]; /* mail gateway address */
                  } /* news to mail */

                ]; /* gateway options contents */
              } /* gateway options */

            ]; /* properties contents */
          } /* properties */

        ]; /* contents */
      } /* outermost pane */
    ];
  }

]




